.icon-text-grid-section {
	padding: 0 24px 96px !important;
	background: var(--wp--preset--color--white);
}

.icon-text-grid-inner {
	width: min(1360px, 100%);
	margin: 0 auto;
	text-align: left;
	max-width: calc(var(--wp--style--global--wide-size) + 40px) !important;
}

.icon-text-grid-title {
	text-align: left;
	margin-left: 0;
	margin-right: 0;
}

.icon-text-grid-title {
    margin-bottom: 48px;
    font-size: 40px;
    font-weight: 600;
    line-height: 48px;
    letter-spacing: -0.08px;
    text-transform: capitalize;
	color: var(--wp--preset--color--black);
}

.icon-text-grid-list {
	display: grid !important;
	grid-template-columns: repeat(3, minmax(0, 1fr));
	gap: 16px;
	width: 100%;
	margin: 0;
}

.icon-text-grid-item {
	display: flex;
	flex-direction: column;
	min-width: 0;
	margin: 0;
    border: 1px solid var(--wp--preset--color--primary-100) !important;
    padding: 40px 32px;
}

.icon-text-grid-text-title {
	color: var(--wp--preset--color--black);
	margin: 16px 0 8px;
    font-size: 18px;
    font-weight: 600;
    line-height: 24px;
    letter-spacing: -0.36px;
    text-transform: capitalize;
}

.icon-text-grid-text {
	color: var(--wp--preset--color--black);
	margin: 0 0 16px;
    font-size: 16px;
    font-weight: 400;
    line-height: 24px;
}

.icon-text-grid-actions {
	margin-top: auto;
}

@media (max-width: 1024px) {
	.icon-text-grid-section {
		padding: 0 40px 96px !important;
	}

	.icon-text-grid-list {
		grid-template-columns: repeat(2, minmax(0, 1fr));
		gap: 16px;
	}
}

@media (max-width: 700px) {
	.icon-text-grid-section {
		padding: 0 16px 48px !important;
	}

	.icon-text-grid-list {
		grid-template-columns: 1fr;
		gap: 40px;
	}

	.icon-text-grid-item {
		padding: 32px 24px;
	}	

	.icon-text-grid-title {
		font-size: 24px;
		line-height: 32px;
		letter-spacing: -0.48px;
		margin-bottom: 24px;
	}
	
	.icon-text-grid-text-title {
		margin: 16px 0 16px;
	}
}

/* =========================
 * Editor Styles
 ======================== */
.editor-styles-wrapper .icon-text-grid-section {
	padding: 0 24px 96px !important;
	background: var(--wp--preset--color--white);
}

.editor-styles-wrapper .icon-text-grid-inner {
	width: min(1310px, 100%);
	margin: 0 auto;
	text-align: left;
}

.editor-styles-wrapper .icon-text-grid-title {
	text-align: left;
	margin-left: 0;
	margin-right: 0;
	margin-bottom: 48px;
	font-size: 40px;
	font-weight: 600;
	line-height: 48px;
	letter-spacing: -0.08px;
	text-transform: capitalize;
	color: var(--wp--preset--color--black);
}

.editor-styles-wrapper .icon-text-grid-list {
	display: grid !important;
	grid-template-columns: repeat(3, minmax(0, 1fr));
	gap: 16px;
	width: 100%;
	margin: 0;
}

.editor-styles-wrapper .icon-text-grid-item {
	display: flex;
	flex-direction: column;
	min-width: 0;
	margin: 0;
	border: 1px solid var(--wp--preset--color--primary-100) !important;
	padding: 40px 32px;
}

.editor-styles-wrapper .icon-text-grid-text-title {
	color: var(--wp--preset--color--black);
	margin: 16px 0 8px;
	font-size: 18px;
	font-weight: 600;
	line-height: 24px;
	letter-spacing: -0.36px;
	text-transform: capitalize;
}

.editor-styles-wrapper .icon-text-grid-text {
	color: var(--wp--preset--color--black);
	margin: 0 0 16px;
	font-size: 16px;
	font-weight: 400;
	line-height: 24px;
}

.editor-styles-wrapper .icon-text-grid-actions {
	margin-top: auto;
}

@media (max-width: 1024px) {
	.editor-styles-wrapper .icon-text-grid-section {
		padding: 0 40px 96px !important;
	}

	.editor-styles-wrapper .icon-text-grid-list {
		grid-template-columns: repeat(2, minmax(0, 1fr));
		gap: 16px;
	}
}

@media (max-width: 700px) {
	.editor-styles-wrapper .icon-text-grid-section {
		padding: 0 20px 48px !important;
	}

	.editor-styles-wrapper .icon-text-grid-list {
		grid-template-columns: 1fr;
		gap: 40px;
	}

	.editor-styles-wrapper .icon-text-grid-item {
		padding: 32px 24px;
	}

	.editor-styles-wrapper .icon-text-grid-title {
		font-size: 24px;
		line-height: 32px;
		letter-spacing: -0.48px;
		margin-bottom: 24px;
	}

	.editor-styles-wrapper .icon-text-grid-text-title {
		margin: 16px 0 16px;
	}
}